package v1

import (
	"property-callback-gateway/param/base"
	pb_v1 "property-callback-gateway/pb/v1"
)

type ProvinceCityAreaRequest struct{
	base.Header
}

type ProvinceCityAreaResponse struct {
	base.Result
	Data pb_v1.ProvinceCityAreaReply `json:"data"`
}

type StreetCommitteeQuery struct {
	AreaCode string `form:"area_code" json:"area_code"`
}

type StreetCommitteeRequest struct {
	base.Header
	StreetCommitteeQuery
}

type StreetCommitteeResponse struct {
	base.Result
	Data pb_v1.StreetCommitteeReply
}